<div class="modal" [ngClass]="{'mobile': isMobile, 'active': isOpen}">
  
  <div class="modal-content" [ngClass]="isOpen && 'active'">
    <div class="top">
      <button
        *ngIf="showCloseButton"
        type="button"
        class="close-btn"
        (click)="dispatchCloseModal()"
      >
        <div class="close">&times;</div>
      </button>
    </div>
    <div class="divider" *ngIf="!isMobile"></div>
    <div class="body" [style.width]="!isMobile && modalSize">
      <ng-content select="[content]"></ng-content>
    </div>
  </div>

</div>
